## NAME

CURLINFO_PRIVATE - get the private pointer

## SYNOPSIS

#include <curl/curl.h>

CURLcode curl_easy_getinfo(CURL *handle, CURLINFO_PRIVATE, char **private);

## DESCRIPTION

Pass a pointer to a char pointer to receive the pointer to the private data associated with the curl handle (set with the CURLOPT_PRIVATE). Please note that for internal reasons, the value is returned as a char pointer, although effectively being a 'void *'.

## PROTOCOLS

All

## EXAMPLE

TODO

## AVAILABILITY

Added in 7.10.3

## RETURN VALUE

Returns CURLE_OK if the option is supported, and CURLE_UNKNOWN_OPTION if not.

## SEE ALSO

curl_easy_getinfo (3), curl_easy_setopt (3), CURLOPT_PRIVATE

This HTML page was made with roffit.